MemberInformation (Apache Geode 1.13.6)
Date: 2021-12-14

org.apache.geode.management.runtime

## Class MemberInformation

- java.lang.Object
- - org.apache.geode.management.runtime.RuntimeInfo
  - - org.apache.geode.management.runtime.MemberInformation

- All Implemented Interfaces:
    Serializable, Identifiable<String>, JsonSerializable

      @Experimental
      public class MemberInformation
      extends RuntimeInfo
      implements Identifiable<String>, JsonSerializable

  Data class to hold the information of the member Used in describe member command
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemberInformation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCacheServerInfo(CacheServerInfo cacheServerInfo)`
    `boolean` | `equals(Object o)`
    `List<CacheServerInfo>` | `getCacheServerInfo()`
    `String` | `getCacheXmlFilePath()`
    `int` | `getClientCount()`
    `double` | `getCpuUsage()`
    `String` | `getGroups()`
    `long` | `getHeapUsage()`
    `String` | `getHost()`
    `Set<String>` | `getHostedRegions()`
    `String` | `getHttpServiceBindAddress()`
    `int` | `getHttpServicePort()`
    `String` | `getId()` Gets the identifier uniquely identifying this Object instance.
    `long` | `getInitHeapSize()`
    `int` | `getLocatorPort()`
    `String` | `getLocators()`
    `String` | `getLogFilePath()`
    `long` | `getMaxHeapSize()`
    `String` | `getOffHeapMemorySize()`
    `int` | `getProcessId()`
    `String` | `getServerBindAddress()`
    `String` | `getStatArchiveFilePath()`
    `String` | `getStatus()`
    `String` | `getWorkingDirPath()`
    `int` | `hashCode()`
    `boolean` | `isCoordinator()`
    `boolean` | `isSecured()`
    `boolean` | `isServer()`
    `boolean` | `isWebSSL()`
    `void` | `setCacheXmlFilePath(String cacheXmlFilePath)`
    `void` | `setClientCount(int clientCount)`
    `void` | `setCoordinator(boolean coordinator)`
    `void` | `setCpuUsage(double cpuUsage)`
    `void` | `setGroups(String groups)`
    `void` | `setHeapUsage(long heapUsage)`
    `void` | `setHost(String host)`
    `void` | `setHostedRegions(Set<String> hostedRegions)`
    `void` | `setHttpServiceBindAddress(String httpServiceBindAddress)`
    `void` | `setHttpServicePort(int httpServicePort)`
    `void` | `setId(String id)`
    `void` | `setInitHeapSize(long initHeapSize)`
    `void` | `setLocatorPort(int locatorPort)`
    `void` | `setLocators(String locators)`
    `void` | `setLogFilePath(String logFilePath)`
    `void` | `setMaxHeapSize(long maxHeapSize)`
    `void` | `setOffHeapMemorySize(String v)`
    `void` | `setProcessId(int processId)`
    `void` | `setSecured(boolean secured)`
    `void` | `setServer(boolean isServer)`
    `void` | `setServerBindAddress(String serverBindAddress)`
    `void` | `setStatArchiveFilePath(String statArchiveFilePath)`
    `void` | `setStatus(String status)`
    `void` | `setWebSSL(boolean webSSL)`
    `void` | `setWorkingDirPath(String workingDirPath)`

    - ### Methods inherited from class org.apache.geode.management.runtime.RuntimeInfo

      `getMemberName, setMemberName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.lang.Identifiable

      `exists, find, remove`

- - ### Constructor Detail

    - #### MemberInformation

          public MemberInformation()

  - ### Method Detail

    - #### isSecured

          public boolean isSecured()

    - #### setSecured

          public void setSecured(boolean secured)

    - #### getId

          public String getId()

      Description copied from interface: `Identifiable`
      Gets the identifier uniquely identifying this Object instance.

      Specified by:
        `getId` in interface `Identifiable<String>`
      Returns:
        an identifier uniquely identifying this Object.

    - #### setId

          public void setId(String id)

    - #### getWorkingDirPath

          public String getWorkingDirPath()

    - #### setWorkingDirPath

          public void setWorkingDirPath(String workingDirPath)

    - #### getGroups

          public String getGroups()

    - #### setGroups

          public void setGroups(String groups)

    - #### getLogFilePath

          public String getLogFilePath()

    - #### setLogFilePath

          public void setLogFilePath(String logFilePath)

    - #### getStatArchiveFilePath

          public String getStatArchiveFilePath()

    - #### setStatArchiveFilePath

          public void setStatArchiveFilePath(String statArchiveFilePath)

    - #### getCpuUsage

          public double getCpuUsage()

    - #### setCpuUsage

          public void setCpuUsage(double cpuUsage)

    - #### getServerBindAddress

          public String getServerBindAddress()

    - #### setServerBindAddress

          public void setServerBindAddress(String serverBindAddress)

    - #### getLocators

          public String getLocators()

    - #### setLocators

          public void setLocators(String locators)

    - #### getStatus

          public String getStatus()

    - #### setStatus

          public void setStatus(String status)

    - #### getHeapUsage

          public long getHeapUsage()

    - #### setHeapUsage

          public void setHeapUsage(long heapUsage)

    - #### getMaxHeapSize

          public long getMaxHeapSize()

    - #### setMaxHeapSize

          public void setMaxHeapSize(long maxHeapSize)

    - #### getCacheXmlFilePath

          public String getCacheXmlFilePath()

    - #### setCacheXmlFilePath

          public void setCacheXmlFilePath(String cacheXmlFilePath)

    - #### getInitHeapSize

          public long getInitHeapSize()

    - #### setInitHeapSize

          public void setInitHeapSize(long initHeapSize)

    - #### getHost

          public String getHost()

    - #### setHost

          public void setHost(String host)

    - #### getProcessId

          public int getProcessId()

    - #### setProcessId

          public void setProcessId(int processId)

    - #### getLocatorPort

          public int getLocatorPort()

    - #### setLocatorPort

          public void setLocatorPort(int locatorPort)

    - #### getHttpServicePort

          public int getHttpServicePort()

    - #### setHttpServicePort

          public void setHttpServicePort(int httpServicePort)

    - #### getHttpServiceBindAddress

          public String getHttpServiceBindAddress()

    - #### setHttpServiceBindAddress

          public void setHttpServiceBindAddress(String httpServiceBindAddress)

    - #### isServer

          public boolean isServer()

    - #### setServer

          public void setServer(boolean isServer)

    - #### getCacheServerInfo

          public List<CacheServerInfo> getCacheServerInfo()

    - #### addCacheServerInfo

          public void addCacheServerInfo(CacheServerInfo cacheServerInfo)

    - #### getClientCount

          public int getClientCount()

    - #### setClientCount

          public void setClientCount(int clientCount)

    - #### getHostedRegions

          public Set<String> getHostedRegions()

    - #### setHostedRegions

          public void setHostedRegions(Set<String> hostedRegions)

    - #### getOffHeapMemorySize

          public String getOffHeapMemorySize()

    - #### setOffHeapMemorySize

          public void setOffHeapMemorySize(String v)

    - #### isWebSSL

          public boolean isWebSSL()

    - #### setWebSSL

          public void setWebSSL(boolean webSSL)

    - #### isCoordinator

          public boolean isCoordinator()

    - #### setCoordinator

          public void setCoordinator(boolean coordinator)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `RuntimeInfo`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `RuntimeInfo`